Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3881)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3882)
@@ -3604,5 +2672,5 @@
                     j = surf_usm_h%j(m)
                     k = surf_usm_h%k(m)
-                    temp_pf(0,j,i) = MAX( temp_pf(0,j,i), REAL( k, kind=wp) )
+                    temp_pf(0,j,i) = MAX( temp_pf(0,j,i), REAL( k, KIND = sp) )
                  ENDDO
               ELSE
@@ -3612,5 +2680,5 @@
                     j = surf_usm_v(l)%j(m)
                     k = surf_usm_v(l)%k(m)
-                    temp_pf(0,j,i) = MAX( temp_pf(0,j,i), REAL( k, kind=wp) + 1.0_wp )
+                    temp_pf(0,j,i) = MAX( temp_pf(0,j,i), REAL( k, KIND = sp) + 1.0_sp )
                  ENDDO
               ENDIF
@@ -4663,4 +3731,7 @@
 
         CALL cpu_log( log_point_s(78), 'usm_init', 'start' )
+!
+!--     Initialize building-surface properties
+        CALL usm_define_pars
 !
 !--     surface forcing have to be disabled for LSF 
